Stack and Queue ADTs:
   Description: A java program to Design and implement own reusable implementations of the stack and queue ADTs 
   Files: 
      DequeQueue.java
      DequeStack.java
      EmptyStructureException.java
      FullStructureException.java
      Deque.java
      Stack.java
      ArrayDeque.java
      LinkedListDeque.java
      ArrayDequeTest.java
      ArrayStackTest.java
      LinkedListDequeTest.java	
      LinkedListStackTest.java
   Run test instructions: 
      Run  ArrayDequeTest.java
      Run  ArrayStackTest.java	
      Run  LinkedListDequeTest.java
      Run  LinkedListStackTest.java